﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace IGDemo45
{
    public partial class Default : System.Web.UI.Page
    {
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            Load += (sender, args) =>
            {
                if (!IsPostBack)
                {
                    List<Product> products = new List<Product>();
                    products.Add(new Product { ProductName = "Product A" });
                    products.Add(new Product { ProductName = "Product B" });

                    wdgData.DataSource = products;
                }
            };

            btnDoSomething.Click += btnDoSomething_Click;
        }

        void btnDoSomething_Click(object sender, EventArgs e)
        {
            foreach (Infragistics.Web.UI.GridControls.GridRecord r in wdgData.Rows)
            {
                TextBox textbox = (TextBox)r.Items[1].FindControl("txtComment");

                if (textbox != null) // -> always null
                {
                    //Do something with the textboxvalue
                }

            }
        }
    }

    public class Product
    {
        public string ProductName{get;set;}
    }
}